[package]
name = "jspg"
version = "0.1.0"
edition = "2021"

[dependencies]
pgrx = "0.14.0"
serde = { version = "1.0", features = ["derive"] }
serde_json = "1.0"
jsonschema = "0.29.1"
lazy_static = "1.5.0"

[dev-dependencies]
pgrx-tests = "0.14.0"

[lib]
crate-type = ["cdylib", "lib"]

[[bin]]
name = "pgrx_embed_jspg"
path = "src/bin/pgrx_embed.rs"

[features]
pg17 = ["pgrx/pg17", "pgrx-tests/pg17" ]
pg_test = []

[profile.dev]
panic = "unwind"
lto = "thin"

[profile.release]
panic = "unwind"
opt-level = 3
lto = "fat"
codegen-units = 1